Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157959 - nautilus cannot read all audio files in "view as audio" mode
Summary: nautilus cannot read all audio files in "view as audio" mode
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 14:13 UTC by Anand Buddhdev
Modified: 2015-03-03 22:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-11 23:35:55 UTC


Attachments (Terms of Use)

Description Anand Buddhdev 2005-05-17 14:13:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
If I use nautilus to view a directory called "music", then nautilus offers me 3 options on the top right-hand side of the location bar, viz. "view as audio", "view as icons" and "view as list". If I select the "view as audio", nautilus begins scanning each audio file, but then stops at certain files, and won't allow me to play any file below the one where it stopped. If I move the offending file out of the way, then nautilus is able to continue scanning, but then stops if it hits another "problem file". I am not skilled enough to know what is causing the problem, but it seems like nautilus is abnormally terminating the scan when it comes across some data it cannot handle. All my music files are in MP3 format.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Place a known "problem" audio file in the "msuic" directory
2. Use nautilus to navigate to the music directory
3. Select the "view as audio" option to the right of the location bar
  

Actual Results:  Nautilus began gathering metadata about each audio file, but stopped when it encountered the "problem" file.

Expected Results:  All the files should have been scanned, and their metadata displayed correctly.

Additional info:

Comment 1 Matthew Miller 2006-07-10 23:17:12 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-11 23:35:55 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.